Talk:Cross Compiling

From PS3 Developer wiki
Jump to: navigation, search

Here we can discuss the common errors or problems someone might have, give advice, post or propose a solution for the problems

Common Errors[edit]

If you enable SPE support[edit]

It errors out while Installing C library the error code outputs http://pastie.org/1802072 ... hunting the error deeper this is the part that errors out

configure:3294: powerpc64-unknown-linux-gnuspe-gcc    -V >&5
powerpc64-unknown-linux-gnuspe-gcc: '-V' option must have argument
configure:3297: $? = 1
configure:3301: checking for suffix of object files
configure:3327: powerpc64-unknown-linux-gnuspe-gcc    -c -mabi=spe -mspe          -O2  conftest.c >&5
cc1: error: not configured for ABI: 'spe'
configure:3330: $? = 1
configure: failed program was:
| /* confdefs.h.  */

...leaving part of the config. log out

configure:3344: error: cannot compute suffix of object files: cannot compile
See `config.log' for more details.

--PsiCoLeO 00:54, 17 April 2011 (CDT)

Toolchain compilation issue[edit]

At this moment, the toolchain get some errors during the compilation, here the compilation process :

http://pastie.org/private/u4fbz4rzkfgnpynmr53w

Here is the build.log :

http://www.multiupload.com/VIF1JSR5EU

Personnal comment :

I'm gonna retry it, again... apparently, this issue is caused by "no unwind-support". Let's investigate it.

Note : I have not activated SPE support.

--Korben 10 May 2011, 17:51

Ok guys, everything is finally working on my Ubuntu x86_64 host sytem. All you have to do is to use the latest revision of crosstool-ng and apply the important.patch to the source code, so just follow the steps indicated.

Note : Still not have activated SPE support. I'm going to test the compilation with it, maybe it's my lucky day.

--Korben 21 May 2011, 19:13


My host has gcc 3.4.6 (couldn't change). So I can't compile PPL (checked.inlines.hh:607: internal compiler error: in invert_truthvalue, at fold-const.c). Are there some workarounds to this problem?

cnpym

For those of you having the same disability to compile PPL. So far the only solution is to change to GCC 4.8 and use CLOOG-ISL for graphite optimization.

cnpym

Advice[edit]

Solutions[edit]